#include<bits/stdc++.h>

using namespace std;

long long int n,k;
long long int arr[1000000];
long long int moj_niz[2000001];

int main()
{
    ios_base::sync_with_stdio(false);
        cin.tie(nullptr);
        cout.tie(nullptr);

    cin>>n>>k;

    for (long long int i=0;i<n;i++)
    {
        cin>>arr[i];
        moj_niz[arr[i]+n]++;
    }

    long long int ans=0;

    for (long long int i=0;i<=2*n;i++)
    {
        if (moj_niz[i]>=k) ans++;
    }

    cout<<ans<<"\n";

    for (long long int i=0;i<=2*n;i++)
    {
        if (moj_niz[i]>=k) cout<<i-n<<" ";
    }


    return 0;
}